Name:           python-SimpleCV
Version:        1.3
Release:        3%{?dist}
Summary:        Open source framework for building computer vision applications

License:        BSD
URL:            http://simplecv.org/
Source0:        http://sourceforge.net/projects/simplecv/files/1.3/SimpleCV-%{version}.tar.gz
# Remove the tests of test.py tha depen on cv2.SURF (unfree).
Patch0:         %{name}-%{version}-test.patch
# Correct the path of some sample images.
Patch1:         %{name}-%{version}-sample_images_path.patch
# Remove the tests of test_display.py that depen on cv2.SURF (unfree).
Patch2:         %{name}-%{version}-test_display.patch
# Remove tests that rely on a true camera (cannont build in mock) and correct a path.
Patch3:         %{name}-%{version}-test_cameras.patch
# Make sure that we use the packaged fonts and remove reference to unpackaged
# fonts : ubuntu
Patch4:         %{name}-%{version}-font.patch

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-flickrapi
BuildRequires:  opencv-python
BuildRequires:  scipy
BuildRequires:  numpy
BuildRequires:  pygame
BuildRequires:  python-pillow
BuildRequires:  python-svgwrite

Requires:       python-ipython
Requires:       opencv-python
Requires:       scipy
Requires:       numpy
Requires:       pygame
Requires:       python-pillow
Requires:       python-svgwrite
Requires:       python-flickrapi
Requires:       astloch-fonts
Requires:       carterone-fonts
Requires:       cyreal-wireone-fonts
Requires:       kranky-fonts
Requires:       labelleaurore-fonts
Requires:       monofett-fonts
Requires:       reeniebeanie-fonts
Requires:       shadowsintolight-fonts
Requires:       specialelite-fonts
Requires:       unifrakturmaguntia-fonts
Requires:       vt323-fonts
Requires:       wallpoet-fonts


%description
SimpleCV is a framework for Open Source Machine Vision, using OpenCV and the
Python programming language.

%prep
%setup -q -n SimpleCV

# This directory contains: flickrapi (bunble library) and script that do
# queries with a script copied from:
# http://graphics.cs.cmu.edu/projects/im2gps/flickr_code.html
rm -r SimpleCV/MachineLearning/query_imgs/

# This directory contains the bundled fonts.
rm -r SimpleCV/fonts

# Applying patches.
%patch0
%patch1
%patch2
%patch3
%patch4


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# Remove shebang
for lib in $RPM_BUILD_ROOT%{python2_sitelib}/SimpleCV/{,*/,*/*}/*.py; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

for lib in $RPM_BUILD_ROOT%{python2_sitelib}/SimpleCV/{,*/,*/*}/*.py; do
 sed '1{\@^#!/usr/bin/python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

# Remove test files that relies on cv2.SURF (unfree)
rm SimpleCV/tests/test_stereovision.py


%check
cd SimpleCV/tests
nosetests


%files
%doc CHANGELOG.txt LICENSE README.markdown requirements.txt doc/*
%{_bindir}/simplecv
%{python2_sitelib}/SimpleCV-%{version}-py%{python2_version}.egg-info/
%{python2_sitelib}/SimpleCV/


%changelog
* Thu Oct 2 2014 Julien Enselme <jujens@jujens.eu> - 1.3-3
- Correct dependancy python-pip -> python-pillow.
- Add bundled fonts as dependancies.
- Add %%check directive.
- Use a patch to correclty use packaged fonts and remove reference to ubuntu-fonts.

* Mon Mar 24 2014 Julien Enselme <jujens@jujens.eu> - 1.3-2
- Remove flickrapi (bundled library).
- Add python-flickrapi as a requirement.

* Sun Feb 09 2014 Julien Enselme <jujens@jujens.eu> - 1.3-1
- Initial packaging
